Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452477 - rpmbuild --rmsource should not check dependencies
Summary: rpmbuild --rmsource should not check dependencies
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 10:25 UTC by Stepan Kasal
Modified: 2018-04-11 09:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-11 15:59:55 UTC


Attachments (Terms of Use)

Description Stepan Kasal 2008-06-23 10:25:27 UTC
Description of problem:
$ rpmbuild --rmsource --rmspec SPECS/hal.spec
error: Failed build dependencies:
        dbus-devel = 0.22 is needed by hal-0.4.2-8.EL4.x86_64

I just wanted to remove the files brought in by an unfortunate rpm -i hal*.src.rpm
Neither --rmsource nor --rmspec should check the BuildRequires.

Version-Release number of selected component (if applicable):
rpm-4.4.2.3-2.fc9

mcepl is also annoyed by this bug^H^H^Hfeature.

Comment 1 Jeff Johnson 2008-06-24 17:51:15 UTC
Attaching a --nodeps transparently to --rmsoure is no harder than

    echo "rpmbuild alias --rmsource --rmsource --nodeps" >> ~/.popt

But feel free to be annoyed if you're too lazy to configure the tools that you use. That works too.

Comment 2 Bug Zapper 2008-11-26 02:27:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jindrich Novy 2009-01-11 15:59:55 UTC
Indeed, checking for build dependencies only when removal of sources/spec is needed is a pure nonsence.

It is now fixed upstream.


Note You need to log in before you can comment on or make changes to this bug.